CVE-2018-14404

MEDIUM

Description

A NULL pointer dereference vulnerability exists in the xpath.c:xmlXPathCompOpEval() function of libxml2 through 2.9.8 when parsing an invalid XPath expression in the XPATH_OP_AND or XPATH_OP_OR case. Applications processing untrusted XSL format inputs with the use of the libxml2 library may be vulnerable to a denial of service attack due to a crash of the application.

References

https://access.redhat.com/errata/RHSA-2019:1543

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=901817

https://bugzilla.redhat.com/show_bug.cgi?id=1595985

https://gitlab.gnome.org/GNOME/libxml2/issues/10

https://lists.debian.org/debian-lts-announce/2018/09/msg00035.html

https://lists.debian.org/debian-lts-announce/2020/09/msg00009.html

https://security.netapp.com/advisory/ntap-20190719-0002/

https://usn.ubuntu.com/3739-1/

https://usn.ubuntu.com/3739-2/

Details

Source: MITRE

Published: 2018-07-19

Updated: 2020-09-10

Type: CWE-476

Risk Information

CVSS v2.0

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

CVSS v3.0

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 3.9

Severity: HIGH